> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Backends

> Retrieve a list of all available backends.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs GET /backends
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /backends:
    get:
      tags:
        - backends
      summary: Get Backends
      description: Retrieve a list of all available backends.
      operationId: getBackends
      parameters:
        - name: status
          in: query
          description: >
            What the system is currently doing. Note that regardless of system
            status, you can always submit jobs for execution.

            * `running`
              The system is running jobs.
            * `reserved`
              The system is reserved by a single customer.
              It will resume regular execution after the reservation is complete.
            * `calibrating`
              The system is currently calibrating and will resume regular execution when calibration is complete.
            * `offline`
              The system is currently offline and not processing jobs.

            Please refer to [https://status.ionq.co/](https://status.ionq.co/)
            for more information.
          schema:
            type: string
            enum:
              - verbose
      responses:
        '200':
          $ref: '#/components/responses/GetBackends'
      security: []
      x-codeSamples:
        - lang: curl
          source: |
            curl "https://api.ionq.co/v0.3/backends"
components:
  responses:
    GetBackends:
      description: Successfully retrieved backends.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Backends'
  schemas:
    Backends:
      type: object
      description: A list of backends you can target your program to run on.
      required:
        - backend
        - status
        - qubits
        - average_queue_time
        - last_updated
      properties:
        backend:
          type: string
          example: qpu.aria-1
          description: Specifies target hardware and generation where applies.
        status:
          oneOf:
            - $ref: '#/components/schemas/BasicStatus'
            - $ref: '#/components/schemas/VerboseStatus'
        average_queue_time:
          type: number
          format: unix-timestamp
          example: 1181215
          description: Current wait time on the queue for execution.
        last_updated:
          type: integer
          example: 1490932820
          description: Last time the backend status was updated.
        degraded:
          type: boolean
          example: false
          description: >

            The system is in a degraded state and may be processing jobs slower
            than usual.

            _Only applies to systems in `running`, `reserved`, or `calibrating`
            status._
        characterization_url:
          type: string
          example: /characterizations/617a1f8b-59d4-435d-aa33-695433d7155e
          description: Current characterization for this backend
    BasicStatus:
      type: string
      description: |
        Current availability.

          Please refer to [https://status.ionq.co/](https://status.ionq.co/) for more information.
      enum:
        - available
        - unavailable
    VerboseStatus:
      type: string
      description: >
        What the system is currently doing. Note that regardless of system
        status, you can always submit jobs for execution.

        * `running`
          The system is running jobs.

        * `reserved`
          The system is reserved by a single customer.
          It will resume regular execution after the reservation is complete.

        * `calibrating`
          The system is currently calibrating and will resume regular execution when calibration is complete.

        * `offline`
          The system is currently offline and not processing jobs.

          Please refer to [https://status.ionq.co/](https://status.ionq.co/) for more information.
      enum:
        - running
        - reserved
        - calibrating
        - offline
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````